Bug 206024 - CompileOnSave Indexer calls slow project queries
CompileOnSave Indexer calls slow project queries
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Source
7.2
PC Mac OS X
: P3 (vote)
: 7.2
Assigned To: Tomas Zezula
issues@java
: PLAN
Depends on: 208815 208816 208954
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-06 17:44 UTC by Tomas Zezula
Modified: 2012-03-23 16:02 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Zezula 2011-12-06 17:44:56 UTC
COS Indexer calls slow project queries (BinaryForSOurceQuery)
Comment 1 Tomas Zezula 2012-02-23 12:31:18 UTC
The CosIndexer cannot be delayed but the various project queries can be made faster.
Comment 2 Tomas Zezula 2012-02-24 07:19:16 UTC
Most of the time is spent in BinaryForSourceQuery.DefaultResult.getRoots() which needs to do quite expensive calculation. 90% of CosIndexer is spent there. Adding BinaryForSourceQueryImpls for NbModuleProject and Maven resolves the problem.
Comment 3 Quality Engineering 2012-02-24 09:30:58 UTC
Integrated into 'main-golden', will be available in build *201202240400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/f0a3dcb4610f
User: Tomas Zezula <tzezula@netbeans.org>
Log: #206024:CompileOnSave Indexer calls slow project queries
Comment 4 Tomas Zezula 2012-02-28 14:00:34 UTC
All blocking issues are fixed.
Comment 5 Quality Engineering 2012-03-23 02:50:22 UTC
Integrated into 'releases', will be available in build *201203222205* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/52755cf5faea
User: Tomas Zezula <tzezula@netbeans.org>
Log: #206024:CompileOnSave Indexer calls slow project queries
Comment 6 Marian Mirilovic 2012-03-23 10:00:54 UTC
Tomas, is this fixed in 7.1.2 intentionally ?
Comment 7 Tomas Zezula 2012-03-23 12:57:56 UTC
This is an umbrella issue.
The maven fix was marked as 71patch2 and transplanted. The other 2 issues are not marked and probably should not be. One affects only NB developers, second does not fit into 7.1 as it changes class which was significantly rewritten in 7.2
Comment 8 Marian Mirilovic 2012-03-23 16:02:24 UTC
(In reply to comment #7)
> This is an umbrella issue.
> The maven fix was marked as 71patch2 and transplanted. The other 2 issues are
> not marked and probably should not be. One affects only NB developers, second
> does not fit into 7.1 as it changes class which was significantly rewritten in
> 7.2

Ok, thanks for explanation.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo